%define	name	spip
%define	Name	SPIP
%define	version	1.9.1
%define	Version	1-9-1
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Systme de publication pour l'internet
License:	GPL
Group:		System/Servers
Source0:	%{name}.tar.bz2
Source1:	%{name}.logrotate.bz2
Source2:	%{name}-apache.conf.bz2
#Patch:		%{name}-1.7-logging.patch.bz2
URL:		http://www.spip.net/
BuildRequires:  apache-base >= 2.0.54-5mdk
Requires(pre):  mod_php >= 2.0.54-5mdk
Requires(pre):  apache >= 2.0.54-5mdk
Requires(pre):	rpm-helper
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SPIP is a publishing system developed by the minirzo to manage the site
uZine. We provide it to anyone as a free software under GPL licence.
Therefore, you can use it freely for your own site, be it personnal,
co-operative, institutional or commercial.

To finish the installation, just go to http://localhost/spip/ecrire/

%prep
%setup -q -n %{name}
#%patch
find . -name remove.txt -exec rm -f {} \;
find . -type f -exec chmod 644 {} \;
find . -name '*svn*' -exec rm -f {} \;

%build

%install
rm -rf $RPM_BUILD_ROOT

# install files
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/%{name}
cp -pR * $RPM_BUILD_ROOT%{_var}/www/%{name}

# move cache directory
install -d -m 755 $RPM_BUILD_ROOT/var/cache
mv $RPM_BUILD_ROOT%{_var}/www/%{name}/CACHE $RPM_BUILD_ROOT/var/cache/%{name}
(cd $RPM_BUILD_ROOT%{_var}/www/%{name} && ln -s ../../../cache/%{name} CACHE)

# move data directory
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}
mv $RPM_BUILD_ROOT%{_var}/www/%{name}/ecrire/data $RPM_BUILD_ROOT%{_localstatedir}/%{name}
(cd $RPM_BUILD_ROOT%{_var}/www/%{name}/ecrire && ln -s ../../../../..%{_localstatedir}/%{name} data)

# logrotate
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/webapps.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%create_ghostfile /var/log/httpd/spip.log apache apache 640
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%dir %{_var}/www/%{name}
%{_var}/www/%{name}/*.php3
%{_var}/www/%{name}/*.htc
%{_var}/www/%{name}/*.txt
%{_var}/www/%{name}/*.gif
%{_var}/www/%{name}/*.php
%{_var}/www/%{name}/dist
%{_var}/www/%{name}/formulaires
%{_var}/www/%{name}/oo
%{_var}/www/%{name}/CACHE
%{_var}/www/%{name}/ecrire/*
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(775,root,apache) %{_var}/www/%{name}/IMG
%dir %attr(775,root,apache) %{_var}/www/%{name}/ecrire
%dir %attr(775,root,apache) %{_localstatedir}/%{name}
%dir %attr(775,root,apache) /var/cache/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}

%changelog
* Sun Sep 10 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.9.1-1mdk
- new version : new tags and filters, bug fixes

* Sat Jul 01 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.9.0-3mk
- fix postinstall and delete order

* Sat Jul 01 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.9.0-2mk
- add apache configuration

* Sat Jul 01 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.9.0-1mk
- new version
- use /var/www as web root

* Sat Mar 18 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.8.3-1mdk
- new version

* Wed Feb 15 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.8.2-2mdk
- new version : bugs fix

* Fri Oct 21 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.8.2-1mdk
- new version
- clean spec

* Sun Apr 17 2005 ANne Nicolas <anne.nicolas@mandriva.com> 1.8-1mdk
- new version

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.7.2-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Wed Jul 07 2004 Anne Nicolas <anne@mandrake.org> 1.7.2-1mdk
- new version

* Mon Apr 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.7.1-3mdk
- fix install (cpjc <cpjc@free.fr>)

* Tue Apr 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.7.1-2mdk
- fix order
- fix changelog
- user rpm-helper facility to create empty files

* Tue Apr 20 2004 Anne Nicolas <anne@lea-linux.org> 1.7.1-1mdk
- new release

* Wed Jan 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.7-1mdk
- first mdk release (SOS package strikes again)
